Bug 221764 - new traceroute breaks scripts
new traceroute breaks scripts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: traceroute (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
:
Depends On:
Blocks: 222093
  Show dependency treegraph
 
Reported: 2007-01-07 13:59 EST by Benjamin LaHaise
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: traceroute-2.0.3-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 11:27:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin LaHaise 2007-01-07 13:59:38 EST
Newer versions of traceroute fail when passed args like:

   traceroute -w2 1.2.3.4

Note the lack of space between the -w and 2.  This new restriction breaks
existing scripts that have worked fine for a decade.
Comment 1 Dmitry Butskoy 2007-01-09 07:58:56 EST
Thanks for report!

Try new upstream version at:
http://dmitry.butskoy.name/traceroute/traceroute-2.0.3.tar.gz

(You can rebuild it locally using "rpmbuild -ta traceroute-2.0.3.tar.gz",
if you don't want to wait for an official update ;) )


> This new restriction breaks existing scripts that have worked fine for a
> decade.

Benjamin,
Whether those scripts are some wide-spread code, or it was written just locally?
Comment 2 Martin Bacovsky 2007-01-29 11:27:58 EST
This issue should be fixed in traceroute-2.0.3-1.fc6. Thanks to Dmitry for fix.

Note You need to log in before you can comment on or make changes to this bug.